<template>
  <div class="app-container h-screen" :style="`background-image: url(${ backgroundImageUrl }); background-repeat: repeat; padding: 0.25px;`">
    <RouterView />
    <toast ref="toast" />
    <Modal ref="modal" />
  </div>
</template>

<script lang="ts" setup>
import { RouterView } from 'vue-router';

// Components
import Toast from '@/components/toast/Toast.vue';
import Modal from '@/components/modal/Modal.vue';

//import backgroundImageUrl from '@/assets/img/sprockets.png'; // ASSETS
import backgroundImageUrl from '@/assets/img/background.svg';
import { useI18n } from 'vue-i18n'

</script>
<script lang="ts">

export default  {
  data() {
    return {
      backgroundColor: '#ffffff',
      backgroundImageUrl: '',
      appLanguages: [
        'pl',
        'en',
      ]
    }
  }
}
</script>
